| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Classes | Public Member Functions | Static Public Member Functions | List of all members
cv::legacy::TrackerBoosting Class Reference
Tracking API » Legacy Tracking API

the Boosting tracker More...

`#include <opencv2/tracking/tracking_legacy.hpp>`

Collaboration diagram for cv::legacy::TrackerBoosting:

## Classes
struct | Params

## Public Member Functions
virtual | ~TrackerBoosting () CV_OVERRIDE
Public Member Functions inherited from cv::legacy::Tracker
| Tracker ()
virtual | ~Tracker () CV_OVERRIDE
bool | init (InputArray image, const Rect2d &boundingBox)
| Initialize the tracker with a known bounding box that surrounded the target.
virtual void | read (const FileNode &fn) CV_OVERRIDE=0
| Reads algorithm parameters from a file storage.
bool | update (InputArray image, Rect2d &boundingBox)
| Update the tracker, find the new most likely bounding box for the target.
virtual void | write (FileStorage &fs) const CV_OVERRIDE=0
| Stores algorithm parameters in a file storage.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | save (const String &filename) const
void | write (FileStorage &fs, const String &name) const

## Static Public Member Functions
static Ptr< legacy::TrackerBoosting > | create ()
static Ptr< legacy::TrackerBoosting > | create (const TrackerBoosting::Params &parameters)
| Constructor.
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.

## Additional Inherited Members
Protected Member Functions inherited from cv::legacy::Tracker
virtual bool | initImpl (const Mat &image, const Rect2d &boundingBox)=0
virtual bool | updateImpl (const Mat &image, Rect2d &boundingBox)=0
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const
Protected Attributes inherited from cv::legacy::Tracker
Ptr< TrackerContribFeatureSet > | featureSet
bool | isInit
Ptr< TrackerModel > | model
Ptr< TrackerContribSampler > | sampler

## Detailed Description

the Boosting tracker

This is a real-time object tracking based on a novel on-line version of the AdaBoost algorithm. The classifier uses the surrounding background as negative examples in update step to avoid the drifting problem. The implementation is based on [110] .

## Constructor & Destructor Documentation

## ◆ ~TrackerBoosting()

virtual cv::legacy::TrackerBoosting::~TrackerBoosting | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ create() [1/2]

static Ptr< legacy::TrackerBoosting > cv::legacy::TrackerBoosting::create | ( |  | ) |
| static

Python:
| cv.legacy.TrackerBoosting.create( |  | ) -> | retval
| cv.legacy.TrackerBoosting_create( |  | ) -> | retval

## ◆ create() [2/2]

static Ptr< legacy::TrackerBoosting > cv::legacy::TrackerBoosting::create | ( | const TrackerBoosting::Params & | parameters | ) |
| static

Python:
| cv.legacy.TrackerBoosting.create( |  | ) -> | retval
| cv.legacy.TrackerBoosting_create( |  | ) -> | retval

Constructor.

Parameters

  parameters | BOOSTING parameters TrackerBoosting::Params

The documentation for this class was generated from the following file:

- opencv2/tracking/tracking_legacy.hpp